import {
  createRouter,
  createWebHashHistory,
  RouteRecordRaw,
} from 'vue-router';

import {
  home,
  about,
} from './routePaths';

const Home = { template: '<div>Home</div>' };
const About = { template: '<div>About</div>' };

const routes: Array<RouteRecordRaw> = [
  {
    path: home,
    component: Home,
  },
  {
    path: about,
    component: About,
  },
];

const router = createRouter({
  history: createWebHashHistory(process.env.BASE_URL),
  routes,
});

export default router;
